CFLAGS = -Wall

OBJECTS = hello_with_datamouse.o  usbmouse.o

TARFILES = Makefile hello_with_datamouse.c \
	usbmouse.h usbmouse.c

hello_mouse : $(OBJECTS)
	cc $(CFLAGS) -o hello_with_datamouse $(OBJECTS) -lusb-1.0 -pthread


hello_mouse.o : hello_with_datamouse.c  usbmouse.h

usbmouse.o : usbmouse.c usbmouse.h

.PHONY : clean
clean :
	rm -rf *.o hello_with_datamouse
